MP4(3)

NAME

MP4SetTimeScale - Set the time scale of the movie (file)

SYNTAX

#include <mp4.h>

bool MP4SetTimeScale(
    MP4FileHandle hFile,
    u_int32_t timeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

timeScale
    Specifies the desired time scale for the movie.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4SetTimeScale sets the time scale of the mp4 file. The time scale is in the number of clock ticks per second. Caveat: tracks may use the same time scale as the movie or may use their own time scale.

SEE ALSO

MP4(3) MP4GetTimeScale(3) MP4SetTrackTimeScale(3)